#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i, n, T, pr= 0, brG, br=0;
    int N[10];
    long long int M[10];
    int K[10];
    scanf("%d", &T);
    for(i=0;i<T;i++){
        scanf("%d %lld %d", &N[i],&M[i],&K[i]);
    }
    for(int i=0;i<T;i++){
        if(N[i]>=K[i]){
            int grupe=N[i]/2;
            long long int poOsobi=M[i]/N[i];
            if(poOsobi-grupe>0) printf("Tak\n");
            else printf("Nie\n");
        }
        else{
            printf("Nie\n");
        }
    }
    return 0;
}